package com.gyee.runeconomy.service.auto.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.runeconomy.model.ProEconAlarmReal;
import com.gyee.runeconomy.mapper.ProEconAlarmRealMapper;
import com.gyee.runeconomy.service.auto.ProEconAlarmRealService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2024-11-27
 */
@Service
public class ProEconAlarmRealServiceImpl extends ServiceImpl<ProEconAlarmRealMapper, ProEconAlarmReal> implements ProEconAlarmRealService {

    @Override
    public List<ProEconAlarmReal> getProEconAlarmReal(String alarmid) {
        QueryWrapper<ProEconAlarmReal> qw = new QueryWrapper<>();
        qw.lambda().eq(ProEconAlarmReal::getAlarmId, alarmid);
        List<ProEconAlarmReal> list = baseMapper.selectList(qw);
        return list;
    }
}
